#ifndef COMMON_H
#define COMMON_H

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <time.h>
#include <sys/time.h>
#include <string.h>
#include <stdint.h>

#define __USE_GNU
#include <pthread.h>

extern int debug_level;   // уровень отладочной диагностики

void put_timeval( struct timeval *tv, char *res );

void debug_msg( char *title );

unsigned long long rdtsc( void );

unsigned calibr( int rep );

#endif
